Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 56

Summary: need summary
Product: [Retired] Red Hat Linux Reporter: cadams
Component: telnetAssignee: Florian La Roche <laroche>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 563948 (view as bug list) Environment:
Last Closed: 1999-03-26 16:00:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description cadams 1998-11-12 17:26:40 UTC
If telnet doesn't enter a LOGIN entry in the utmp file,
login gets confused and adds a new entry at the end (even if
an entry for the tty already exists).  This causes the utmp
file to keep growing as long as the system is up.  A utmp
file over 1MB makes "who", "w", and other such programs slow
to a crawl on an active server.

I will send a patch for telnet that makes it create an entry
once I get a bug ID.

Comment 1 Derek Tattersall 1998-11-19 17:41:59 UTC
This appears similar to bug # 55.  See the enclosed patch in the
second email.

Comment 2 Preston Brown 1999-03-18 14:45:59 UTC
Jeff:  this has been fixed, right?  If so we should close this.

Comment 3 Jeff Johnson 1999-03-26 16:00:59 UTC
And, finally, a better fix (to find utmp entry based on tty slot)
has been put into login.c that makes it unnecessary to create the
utmp entry before exec'ing login. Thanks for pointing this out.

Fix is in util-linux-2.9o-6.